Subject: Re: [PATCH repost net-next] net: compile renesas directory if NET_VENDOR_RENESAS is configured

From: Simon Horman <[email-masked]>
Date: Wed, 26 Aug 2015 08:55:39 +1000

On Wed, Aug 26, 2015 at 12:15:57AM +0300, Sergei Shtylyov wrote:
> On 08/25/2015 11:34 AM, Sergei Shtylyov wrote:
> 
> >>From: Kazuya Mizuguchi <[email-masked]>
> >>
> >>Currently the renesas ethernet driver directory is compiled if SH_ETH is
> >>configured rather than NET_VENDOR_RENESAS. Although incorrect that was
> >>quite harmless as until recently as SH_ETH configured the only driver in
> >>the renesas directory. However, as of c156633f1353 ("Renesas Ethernet AVB
> >>driver proper") the renesas directory includes another driver, configured
> >>by RAVB, and it makes little sense for it to have a hidden dependency on
> >>SH_ETH.
> >>
> >>Signed-off-by: Kazuya Mizuguchi <[email-masked]>
> >>[horms: rewrote changelog]
> >>Signed-off-by: Simon Horman <[email-masked]>
> >
> >    Sorry about missing that when submitting the AVB driver.
> 
>    BTW, why against net-next? I consider this a fix.

I wasn't sure which way to go and decided to err on the side of caution with a
net-next submission. I have no objections to it being considered for next.